Name:		speex
Version:	1.2.0
Release:	5
Summary:	A Free Codec For Free Speech
License:	BSD
URL:		https://www.speex.org/
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}.tar.gz

Patch6000:      backport-CVE-2020-23903.patch

BuildRequires: gcc git pkgconfig(ogg) pkgconfig(speexdsp)

Obsoletes: %{name}-tools
Provides:  %{name}-tools

%description
Speex is an Open Source/Free Software patent-free audio compression format designed for speech.
The Speex Project aims to lower the barrier of entry for voice applications by providing a free
alternative to expensive proprietary speech codecs. Moreover, Speex is well-adapted to Internet
applications and provides useful features that are not present in most other codecs.

%package devel
Summary: 	Development package for %{name}
Requires: 	%{name} = %{version}-%{release}


%description devel
This package is the development and  files for speex.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-binaries
# Remove rpath from speexenc and speexdec
%disable_rpath
%make_build

%install
%make_install

%delete_la_and_a

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc ChangeLog
%license COPYING AUTHORS
%{_libdir}/libspeex.so.1*
%{_bindir}/speexenc
%{_bindir}/speexdec

%files devel
%defattr(-,root,root)
%doc doc/manual.pdf
%{_libdir}/libspeex.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4

%files help
%defattr(-,root,root)
%doc NEWS TODO README
%{_docdir}/%{name}/*.pdf
%{_mandir}/man1/speexenc.1.gz
%{_mandir}/man1/speexdec.1.gz

%changelog
* Mon Jun 06 2022 shixuantong<shixuantong@h-partners.com> - 1.2.0-5
- Type:CVE
- ID:CVE-2020-23903
- SUG:NA
- DESC:fix CVE-2020-23903

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 1.2.0-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move the license

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.0-3
- Package init
